Subject: Re: git bisect not accepting -git kernels

From: Rogan Dawes <[email-masked]>
Date: Tue, 17 Jul 2007 19:11:12 +0200

Amit Walambe wrote:
> Thanks a ton everyone for all the replies.
> Here is the current status :
> 
> René Scharfe wrote:
>> Amit Walambe schrieb:
>>> Hi!
>>> I was trying to do a git bisect on 2.6.22-git6 and 2.6.22-git8. For
>>> which I get following error :
>>> root@amit:/usr/src/linux-git # git bisect good v2.6.22-git6
>>> Bad rev input: v2.6.22-git6
>>
>> The -git snapshots are made automatically by kernel.org, and their name
>> is not included in the git repository.  You could create tags for them
>> like this:
>>
>>  git tag v2.6.22-git6 8f41958bdd577731f7411c9605cfaa9db6766809
>>  git tag v2.6.22-git8 a5fcaa210626a79465321e344c91a6a7dc3881fa
>>
>> ... and afterwards you can use those revision names with bisect (or
>> other git commands).  I've got the commit IDs (i.e. those mysterious 40
>> hex digits above) from the first line of the changelogs; their URLs are:
>>
>>  http://kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.22-git6.log
>>  http://kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.22-git8.log
> I found the commit ids in following file as well :
> http://www.kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.22-git6.id
> http://www.kernel.org/pub/linux/kernel/v2.6/snapshots/patch-2.6.22-git8.id
> 
> But telling good/bad points to git bisect still fails, whether I pass 
> the commit-id or the tags I created with commands given by René :
> 
> root@amit:/usr/src/linux-git # git bisect good 
> 8f41958bdd577731f7411c9605cfaa9db6766809
> cat: .git/BISECT_NAMES: No such file or directory
> root@amit:/usr/src/linux-git #
> root@amit:/usr/src/linux-git #
> root@amit:/usr/src/linux-git # git tag v2.6.22-git6 
> 8f41958bdd577731f7411c9605cfaa9db6766809
> root@amit:/usr/src/linux-git # git tag v2.6.22-git8 
> a5fcaa210626a79465321e344c91a6a7dc3881fa
> root@amit:/usr/src/linux-git #
> root@amit:/usr/src/linux-git #
> root@amit:/usr/src/linux-git # git bisect good v2.6.22-git6
> cat: .git/BISECT_NAMES: No such file or directory
> root@amit:/usr/src/linux-git #
> root@amit:/usr/src/linux-git #
> root@amit:/usr/src/linux-git #
> root@amit:/usr/src/linux-git # git bisect bad v2.6.22-git8
> cat: .git/BISECT_NAMES: No such file or directory
> 
> Thanks and Regards,

You need to start off by saying

$ git bisect start

to set up the necessary infrastructure.

Rogan